import os
from src.order import Order


main_menu_options = """
Choose an option:
1 - Add item
2 - Print Summary/PDV
3 - Parse Ifood into PDVS
4 - Remove Last item
5 - Clear Order
6 - Exit
"""


def add_item():
    print('Add item')
    options = Order.list_options()
    for i, x in enumerate(options):
        print(f'{i+1} - {x}')
    print('x - return to main menu')
    print_summary()
    print('\n:')
    chosen_item = input()

    if chosen_item == 'x':
        return
    try:
        chosen_item = int(chosen_item) - 1
    except ValueError:
        print(f'Invalid option {chosen_item}')
    if not chosen_item < len(options):
        print('Invalid Item')
    else:
        Order.add_item(options[chosen_item])

    os.system('clear')
    add_item()


def print_summary():
    print('Summary:')
    print(Order.get_string())


def parse_ifood_string():
    print('parse_ifood_string')


def remove_latest_item():
    Order.remove_latest_item()


def clear_all_items():
    Order.clear_all_items()


def menu():
    while True:
        print(main_menu_options)
        chosen_option = input()

        os.system('clear')

        if chosen_option == '1':
            add_item()
        elif chosen_option == '2':
            print_summary()
        elif chosen_option == '3':
            parse_ifood_string()
        elif chosen_option == '4':
            remove_latest_item()
        elif chosen_option == '5':
            clear_all_items()
        elif chosen_option == '6':
            return
        else:
            print('Choose a valid option.')


if __name__ == '__main__':
    os.system('clear')

    Order.load_menu()
    menu()
